New version of Fatal Years 1.08 available

Posted: October 24, 2012 in Rus Mod

This version fixes a series was a nasty one, affecting of bug, whose one all Don and WH4  2 star Generals. The update is compatible with games started under the last 1.08 version, even if it’s possible some effects will be enforced only in a new game.

 

Beware: the test of this version has been very very slim, but the bug was too important to delay the release. Most of the changes are very minor so heavy side effects shouldn’t pop up, but I just can’t guarantee this.

Of course,  the old installation movie I did 2 years ago is yet valid to help the install  🙂

http://www.youtube.com/watch?v=BtU0m_oZXcw&feature=player_embedded

 

 

 

Comments
  1. coturnix says:

    Should i install RUS beta patch 1.06 for this version of FY? I´m still in 1.05a and don´t know if that would produce unintended consecuences.

    • Clovis says:

      You may use FY 1.08 with any 1.05 RUS version. In the next 2 montths I could possibly use some 1.06 features whose I don’t know if they are present in 1.06 so the use of the last version would become mandatory ( AI agents, possibilty to link regional decisions and the script event commands mainly). It isn’t currently.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s